Package org.jacoco.core.analysis

## Enum ICoverageNode.ElementType

- java.lang.Object
- - java.lang.Enum<ICoverageNode.ElementType>
  - - org.jacoco.core.analysis.ICoverageNode.ElementType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ICoverageNode.ElementType>`

Enclosing interface:
  ICoverageNode

    public static enum ICoverageNode.ElementType
    extends java.lang.Enum<ICoverageNode.ElementType>

Type of a Java element represented by a `ICoverageNode` instance.

### Enum Constant Summary

Enum Constants
`BUNDLE` Bundle of Packages
`CLASS` Class
`GROUP` Logical Group of Bundles
`METHOD` Method
`PACKAGE` Java Package
`SOURCEFILE` Source File

### Method Summary

All Methods Static Methods Concrete Methods
`static ICoverageNode.ElementType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICoverageNode.ElementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### METHOD

    public static final ICoverageNode.ElementType METHOD

Method

#### CLASS

    public static final ICoverageNode.ElementType CLASS

Class

#### SOURCEFILE

    public static final ICoverageNode.ElementType SOURCEFILE

Source File

#### PACKAGE

    public static final ICoverageNode.ElementType PACKAGE

Java Package

#### BUNDLE

    public static final ICoverageNode.ElementType BUNDLE

Bundle of Packages

#### GROUP

    public static final ICoverageNode.ElementType GROUP

Logical Group of Bundles

### Method Detail

#### values

    public static ICoverageNode.ElementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICoverageNode.ElementType c : ICoverageNode.ElementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICoverageNode.ElementType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null